﻿Class MainWindow 

    Public Sub New()

        InitializeComponent()
        Me.c1FlexGrid1.ItemsSource = Person.Generate(5000)

    End Sub

    'Change DeferScroll mode as per selection in ComboBox 
    Private Sub C1ComboBox_SelectedItemChanged(sender As System.Object, e As C1.WPF.PropertyChangedEventArgs(Of System.Object))

        Dim _flex As C1.WPF.FlexGrid.C1FlexGrid = Me.c1FlexGrid1
        Dim _deferScroll As String

        If e.NewValue.[GetType]() = GetType(String) Then
            _deferScroll = e.NewValue.ToString()
        Else
            _deferScroll = DirectCast(e.NewValue, System.Windows.Controls.ContentControl).Content.ToString()
        End If

        If _flex IsNot Nothing Then
            Select Case _deferScroll
                Case "None"
                    _flex.DeferScrolling = C1.WPF.FlexGrid.DeferScrolling.None
                Case "DeferBoth"
                    _flex.DeferScrolling = C1.WPF.FlexGrid.DeferScrolling.DeferBoth
                Case "DeferHorizontal"
                    _flex.DeferScrolling = C1.WPF.FlexGrid.DeferScrolling.DeferHorizontal
                Case "DeferVertical"
                    _flex.DeferScrolling = C1.WPF.FlexGrid.DeferScrolling.DeferVertical
            End Select
        End If

    End Sub
End Class
